Bug 1480406 - Opening dnfdragora-updater never shows available updates
Summary: Opening dnfdragora-updater never shows available updates
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: dnfdragora
Version: 26
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Björn 'besser82' Esser
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-08-11 00:35 UTC by Ed Greshko
Modified: 2018-01-01 22:11 UTC (History)
4 users (show)

Fixed In Version: dnfdragora-1.0.1-8.git20171229.24e4647.fc27 dnfdragora-1.0.1-8.git20171229.24e4647.fc26
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-31 21:27:28 UTC


Attachments (Terms of Use)

Description Ed Greshko 2017-08-11 00:35:02 UTC
Description of problem: In order to collect error messages I started dnfdragora-updater from the command line.  Several days later after doing "dnf check-update" and seeing updates were available I clicked on the icon in the systray and picked "Open dnfdragora dialog".  The screen appeared with a spinning cursor which never stopped.  The following message appeared in the terminal where dnfdragora-updater was started.

[egreshko@meimei ~]$ Skipped exception: <[Errno 2] No such file or directory: './dnfdragora.yaml'> 
<_M_> [mga-qt-ui] YMGA_QCBTable.cc:74 YMGA_QCBTable():  Slection mode 2
Traceback (most recent call last):
  File "/usr/lib/python3.6/site-packages/pystray/_base.py", line 236, in inner
    callback(self)
  File "/usr/lib/python3.6/site-packages/pystray/_base.py", line 320, in __call__
    return self._action(icon, self)
  File "/usr/lib/python3.6/site-packages/pystray/_base.py", line 414, in wrapper1
    return action(icon)
  File "/usr/lib/python3.6/site-packages/dnfdragora/updater.py", line 109, in __run_dnfdragora
    return self.__run_dialog({})
  File "/usr/lib/python3.6/site-packages/dnfdragora/updater.py", line 104, in __run_dialog
    self.__main_gui = ui.mainGui(args)
  File "/usr/lib/python3.6/site-packages/dnfdragora/ui.py", line 214, in __init__
    rpm_groups = self.backend.GetGroups()
  File "/usr/lib/python3.6/site-packages/dnfdragora/basedragora.py", line 50, in backend
    return self.get_root_backend()
  File "/usr/lib/python3.6/site-packages/dnfdragora/basedragora.py", line 77, in get_root_backend
    self.backend.ExpireCache()
  File "/usr/lib/python3.6/site-packages/dnfdaemon/client/__init__.py", line 401, in ExpireCache
    rc = self._run_dbus_async('ExpireCache', '()')
  File "/usr/lib/python3.6/site-packages/dnfdaemon/client/__init__.py", line 293, in _run_dbus_async
    result = self._get_result(data)
  File "/usr/lib/python3.6/site-packages/dnfdaemon/client/__init__.py", line 277, in _get_result
    self._handle_dbus_error(user_data['error'])
  File "/usr/lib/python3.6/site-packages/dnfdaemon/client/__init__.py", line 250, in _handle_dbus_error
    raise DaemonError(str(err))
dnfdaemon.client.DaemonError: g-io-error-quark: GDBus.Error:org.freedesktop.DBus.Python.OSError: Traceback (most recent call last):
  File "/usr/lib64/python3.6/site-packages/dbus/service.py", line 707, in _message_cb
    retval = candidate_method(self, *args, **keywords)
  File "/usr/lib/python3.6/site-packages/dnfdaemon/server/__init__.py", line 83, in newFunc
    rc = func(*args, **kwargs)
  File "/usr/share/dnfdaemon/dnfdaemon-system", line 175, in ExpireCache
    rc = self.expire_cache()
  File "/usr/lib/python3.6/site-packages/dnfdaemon/server/__init__.py", line 240, in expire_cache
    self.base.setup_base()
  File "/usr/lib/python3.6/site-packages/dnfdaemon/server/backend.py", line 69, in setup_base
    self.fill_sack()
  File "/usr/lib/python3.6/site-packages/dnf/base.py", line 316, in fill_sack
    try:
  File "/usr/lib/python3.6/site-packages/dnf/base.py", line 114, in _add_repo_to_sack
    def _add_repo_to_sack(self, repo):
  File "/usr/lib/python3.6/site-packages/dnf/repo.py", line 919, in load
    self._handle_load(handle)
  File "/usr/lib/python3.6/site-packages/dnf/repo.py", line 657, in _handle_load
    return self._handle_load_core(handle)
  File "/usr/lib/python3.6/site-packages/dnf/repo.py", line 670, in _handle_load_core
    result = handle._perform()
  File "/usr/lib/python3.6/site-packages/dnf/repo.py", line 229, in _perform
    return super(_Handle, self).perform(result)
  File "/usr/lib64/python3.6/site-packages/librepo/__init__.py", line 1517, in perform
    _librepo.Handle.perform(self, result)
OSError: [Errno unknown] Cannot prepare internal mirrorlist: dup(1012) failed: Too many open files: 'Input/Output error'
 (36)




Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:  Expect it to work.


Additional info:

Comment 1 Fedora Update System 2017-12-29 23:21:46 UTC
dnfdaemon-0.3.18-5.fc27 dnfdragora-1.0.1-8.git20171229.24e4647.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-d66bd84f06

Comment 2 Fedora Update System 2017-12-29 23:27:01 UTC
dnfdaemon-0.3.18-5.fc26 dnfdragora-1.0.1-8.git20171229.24e4647.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-8caadb4a1b

Comment 3 Fedora Update System 2017-12-30 19:53:52 UTC
dnfdaemon-0.3.18-5.fc27, dnfdragora-1.0.1-8.git20171229.24e4647.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-d66bd84f06

Comment 4 Fedora Update System 2017-12-30 20:39:40 UTC
dnfdaemon-0.3.18-5.fc26, dnfdragora-1.0.1-8.git20171229.24e4647.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-8caadb4a1b

Comment 5 Fedora Update System 2017-12-31 21:27:28 UTC
dnfdaemon-0.3.18-5.fc27, dnfdragora-1.0.1-8.git20171229.24e4647.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2018-01-01 22:11:04 UTC
dnfdaemon-0.3.18-5.fc26, dnfdragora-1.0.1-8.git20171229.24e4647.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.